package edu.jt_kb.cs4308.compiler;

import edu.jt_kb.cs4308.compiler.FileManagement.FileReader;
import edu.jt_kb.cs4308.compiler.models.JavaSyntaxAnalyzer;
import edu.jt_kb.cs4308.compiler.models.Pair;
import edu.jt_kb.cs4308.compiler.models.TokenType;
import org.xml.sax.ext.LexicalHandler;

import java.io.File;
import java.sql.Array;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Scanner;

public class Driver {
    public static void main(String[] args) {
        System.out.println("Default Setup");
        Driver program = new Driver();
        program.start();
    }

    public void start() {
        File java = new File("src/edu/jt_kb/cs4308/compiler/resources/Java.txt");
        File python = new File("src/edu/jt_kb/cs4308/compiler/resources/Python.txt");

        List<String> code = new ArrayList<>();
        JavaSyntaxAnalyzer analyzer = new JavaSyntaxAnalyzer();
        code = FileReader.readFile(java);
        List<Pair> analysis = analyzer.start(code);
        for (Pair curr : analysis) {
            if (curr.type != TokenType.EOF) {
                System.out.println("Next token is: " + curr.type.value + " lexeme is " + curr.lexeme);
            }
        }

    }


}